Bug 233793 - sysutils/bvm: Update to 1.2.3
Summary: sysutils/bvm: Update to 1.2.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-12-05 02:37 UTC by guoqiang_cn
Modified: 2018-12-13 11:35 UTC (History)
3 users (show)

See Also:


Attachments
git diff for bvm-1.2.3 (1.89 KB, patch)
2018-12-05 02:37 UTC, guoqiang_cn
koobs: maintainer-approval+
Details | Diff
git diff for bvm-1.2.3 (1.89 KB, patch)
2018-12-05 05:31 UTC, guoqiang_cn
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description guoqiang_cn 2018-12-05 02:37:40 UTC
Created attachment 199836 [details]
git diff for bvm-1.2.3
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2018-12-05 05:12:29 UTC
Comment on attachment 199836 [details]
git diff for bvm-1.2.3

Reporter is MAINTAINER, approve patch (implicitly) accordingly
Comment 2 guoqiang_cn 2018-12-05 05:31:28 UTC
Created attachment 199838 [details]
git diff for bvm-1.2.3
Comment 3 guoqiang_cn 2018-12-05 14:37:11 UTC
attachment 199836 [details] is mistake and 199838 is correct
Comment 4 Jochen Neumeister freebsd_committer 2018-12-05 14:46:53 UTC
pls dont use [Patch] in the summary, see: https://wiki.freebsd.org/KubilayKocak/Bugzilla/DosAndDonts
Comment 5 guoqiang_cn 2018-12-05 14:58:10 UTC
(In reply to Jochen Neumeister from comment #4)
sorry
Comment 6 Guangyuan Yang freebsd_committer 2018-12-07 22:43:26 UTC
(In reply to guoqiang_cn from comment #5)

Please make sure to test the patch. Briefly mention the results here and remove needs-qa keyword if all good.
Comment 7 guoqiang_cn 2018-12-07 23:24:36 UTC
# make install clean
/!\ bvm-1.2.3: Makefile warnings, please consider fixing /!\

Not validating first entry in CATEGORIES due to being outside of PORTSDIR.
Please ensure this is proper when committing.

===>  License BSD2CLAUSE accepted by the user
===>   bvm-1.2.3 depends on file: /usr/local/sbin/pkg - found
===> Fetching all distfiles required by bvm-1.2.3 for building
===>  Extracting for bvm-1.2.3
=> SHA256 Checksum OK for bigdragonsoft-bvm-1.2.3_GH0.tar.gz.
===>  Patching for bvm-1.2.3
===>  Configuring for bvm-1.2.3
===>  Building for bvm-1.2.3
cc -O -c main.c -o main.o
cc -O -c config.c -o config.o
cc -O -c vnet.c -o vnet.o
cc -O -c vm.c -o vm.o
cc -O -c create.c -o create.o
cc -O -c cdisk.c -o cdisk.o
cc -O -c cnet.c -o cnet.o
cc -O -c zfs.c -o zfs.o
cc -O -c booter.c -o booter.o
cc -O -o bvm main.o config.o vnet.o vm.o create.o cdisk.o cnet.o zfs.occ -O -o bvmb  booter.o config.o vnet.o vm.o create.o cdisk.o cnet.o zfs.o
===>  Staging for bvm-1.2.3
===>   bvm-1.2.3 depends on package: bhyve-firmware>0 - found
===>   bvm-1.2.3 depends on executable: grub-bhyve - found
===>   bvm-1.2.3 depends on executable: tmux - found
===>   Generating temporary packing list
/bin/mkdir -p /root/freebsd-ports/sysutils/bvm/work/stage/usr/local/etc/bvm
install  -m 0644 /root/freebsd-ports/sysutils/bvm/work/bvm-1.2.3/conf/bvm.conf /root/freebsd-ports/sysutils/bvm/work/stage/usr/local/etc/bvm/bvm.conf.sample
install  -m 0644 /root/freebsd-ports/sysutils/bvm/work/bvm-1.2.3/conf/nat.conf /root/freebsd-ports/sysutils/bvm/work/stage/usr/local/etc/bvm/nat.conf.sample
install  -m 0644 /root/freebsd-ports/sysutils/bvm/work/bvm-1.2.3/conf/switch.conf /root/freebsd-ports/sysutils/bvm/work/stage/usr/local/etc/bvm/switch.conf.sample
install  -m 555 /root/freebsd-ports/sysutils/bvm/work/bvm-1.2.3/conf/bvmd /root/freebsd-ports/sysutils/bvm/work/stage/usr/local/etc/rc.d/
install  -s -m 555 /root/freebsd-ports/sysutils/bvm/work/bvm-1.2.3/src/bvm /root/freebsd-ports/sysutils/bvm/work/stage/usr/local/bin/
install  -s -m 555 /root/freebsd-ports/sysutils/bvm/work/bvm-1.2.3/src/bvmb /root/freebsd-ports/sysutils/bvm/work/stage/usr/local/bin/
install  -m 444 /root/freebsd-ports/sysutils/bvm/work/bvm-1.2.3/bvm.8 /root/freebsd-ports/sysutils/bvm/work/stage/usr/local/man/man8
====> Compressing man pages (compress-man)
====> Running Q/A tests (stage-qa)
===>  Installing for bvm-1.2.3
===>  Checking if bvm already installed
===>   Registering installation for bvm-1.2.3
Installing bvm-1.2.3...
===>  Cleaning for bvm-1.2.3


bigdragon@root[~/freebsd-ports/sysutils/bvm]# portlint -AC
WARN: Makefile: for new port, make $FreeBSD$ tag in comment section empty, to make SVN happy.
0 fatal errors and 1 warning found.
bigdragon@root[~/freebsd-ports/sysutils/bvm]#
Comment 8 commit-hook freebsd_committer 2018-12-13 07:11:58 UTC
A commit references this bug:

Author: wen
Date: Thu Dec 13 07:11:02 UTC 2018
New revision: 487353
URL: https://svnweb.freebsd.org/changeset/ports/487353

Log:
  - Update to 1.2.3

  PR:		233793
  Submitted by:	guoqiang_cn@126.com(maintainer)

Changes:
  head/sysutils/bvm/Makefile
  head/sysutils/bvm/distinfo